scoreboard players add Timer Options 1
execute if score Timer Options matches 30.. as @a at @s if block ~ ~-1 ~ minecraft:stone_bricks run give @s minecraft:flower_pot{CanPlaceOn:[cobblestone_stairs, cobblestone_slab, stone_bricks, stone, terracotta, flower_pot]} 1
execute if score Timer Options matches 30.. run scoreboard players reset Timer Options

tag @a[limit=1,x=-1,y=71,z=-1,dx=2,dy=0,dz=2] add inPot
give @a[tag=inPot] minecraft:flower_pot{CanPlaceOn:[cobblestone_stairs, cobblestone_slab, stone_bricks, stone, terracotta, flower_pot]} 7
execute if entity @a[tag=inPot,team=blue] run give @a[team=blue] minecraft:flower_pot{CanPlaceOn:[cobblestone_stairs, cobblestone_slab, stone_bricks, stone, terracotta, flower_pot]} 3
execute if entity @a[tag=inPot,team=green] run give @a[team=green] minecraft:flower_pot{CanPlaceOn:[cobblestone_stairs, cobblestone_slab, stone_bricks, stone, terracotta, flower_pot]} 3
execute if entity @a[tag=inPot,team=red] run give @a[team=red] minecraft:flower_pot{CanPlaceOn:[cobblestone_stairs, cobblestone_slab, stone_bricks, stone, terracotta, flower_pot]} 3
execute if entity @a[tag=inPot,team=yellow] run give @a[team=yellow] minecraft:flower_pot{CanPlaceOn:[cobblestone_stairs, cobblestone_slab, stone_bricks, stone, terracotta, flower_pot]} 3
tp @a[tag=inPot,team=red] 36 72 0 90 0
tp @a[tag=inPot,team=blue] 0 72 -36 0 0
tp @a[tag=inPot,team=green] -36 72 0 -90 0
tp @a[tag=inPot,team=yellow] 0 72 36 180 0
execute if entity @a[tag=inPot,team=blue] run scoreboard players add Blue_Team: score 1
execute if entity @a[tag=inPot,team=red] run scoreboard players add Red_Team: score 1
execute if entity @a[tag=inPot,team=green] run scoreboard players add Green_Team: score 1
execute if entity @a[tag=inPot,team=yellow] run scoreboard players add Yellow_Team: score 1
execute if entity @a[tag=inPot] run tellraw @a [{"selector":"@a[tag=inPot]"},{"text":" has scored!","color":"aqua"}]
tag @a[tag=inPot] remove inPot

tag @a[sort=random,tag=!checkedY] add isBeingChecked
execute as @a[tag=isBeingChecked] store result score @s XCoordinate run data get entity @s Pos[0]
execute as @a[tag=isBeingChecked] store result score @s YCoordinate run data get entity @s Pos[1]
execute as @a[tag=isBeingChecked] store result score @s ZCoordinate run data get entity @s Pos[2]
tellraw @a[tag=isBeingChecked,scores={XCoordinate=..-44}] {"text":"You can't leave game zone!","color":"red"}
execute as @a[tag=isBeingChecked,scores={XCoordinate=..-44}] at @s run tp @s ~1 ~ ~
tellraw @a[tag=isBeingChecked,scores={XCoordinate=44..}] {"text":"You can't leave game zone!","color":"red"}
execute as @a[tag=isBeingChecked,scores={XCoordinate=44..}] at @s run tp @s ~-1 ~ ~
tellraw @a[tag=isBeingChecked,scores={ZCoordinate=..-44}] {"text":"You can't leave game zone!","color":"red"}
execute as @a[tag=isBeingChecked,scores={ZCoordinate=..-44}] at @s run tp @s ~ ~ ~1
tellraw @a[tag=isBeingChecked,scores={ZCoordinate=44..}] {"text":"You can't leave game zone!","color":"red"}
execute as @a[tag=isBeingChecked,scores={ZCoordinate=44..}] at @s run tp @s ~ ~ ~-1
clear @a[tag=isBeingChecked,scores={YCoordinate=..60}]
tp @a[tag=isBeingChecked,team=red,scores={YCoordinate=..60}] 36 72 0 90 0
tp @a[tag=isBeingChecked,team=blue,scores={YCoordinate=..60}] 0 72 -36 0 0
tp @a[tag=isBeingChecked,team=green,scores={YCoordinate=..60}] -36 72 0 -90 0
tp @a[tag=isBeingChecked,team=yellow,scores={YCoordinate=..60}] 0 72 36 180 0
scoreboard players reset @a[tag=isBeingChecked] XCoordinate
scoreboard players reset @a[tag=isBeingChecked] YCoordinate
scoreboard players reset @a[tag=isBeingChecked] ZCoordinate
tag @a[tag=isBeingChecked] add checked
tag @a[tag=isBeingChecked] remove isBeingChecked
execute unless entity @a[tag=!checked] run tag @a remove checkedY

data merge entity @e[type=arrow,nbt=!{pickup:0b},limit=1] {pickup:0b}
kill @e[type=arrow,nbt={inGround:1b},nbt=!{inBlockState:{Name:"minecraft:flower_pot"}}]

tag @e[type=arrow,nbt={inGround:1b,inBlockState:{Name:"minecraft:flower_pot"}},nbt=!{Potion:"minecraft:strong_harming"},limit=1] add normalInPot
execute if entity @e[type=arrow,tag=normalInPot] run summon armor_stand ~ ~ ~ {Marker:1,Invisible:1,NoGravity:1,Invulnerable:1,Tags:["normalArrow"],Small:1}
execute store result entity @e[type=armor_stand,tag=normalArrow,limit=1] Pos[0] double 1 run data get entity @e[type=arrow,tag=normalInPot,limit=1] xTile
execute store result entity @e[type=armor_stand,tag=normalArrow,limit=1] Pos[1] double 1 run data get entity @e[type=arrow,tag=normalInPot,limit=1] yTile
execute store result entity @e[type=armor_stand,tag=normalArrow,limit=1] Pos[2] double 1 run data get entity @e[type=arrow,tag=normalInPot,limit=1] zTile
execute at @e[type=armor_stand,tag=normalArrow] run setblock ~ ~ ~ air
kill @e[type=armor_stand,tag=normalArrow]
kill @e[type=arrow,tag=normalInPot]

tag @e[type=arrow,nbt={inGround:1b,inBlockState:{Name:"minecraft:flower_pot"},Potion:"minecraft:strong_harming"},limit=1] add harmingInPot
execute if entity @e[type=arrow,tag=harmingInPot] run summon armor_stand ~ ~ ~ {Marker:1,Invisible:1,NoGravity:1,Invulnerable:1,Tags:["harmingArrow"],Small:1}
execute store result entity @e[type=armor_stand,tag=harmingArrow,limit=1] Pos[0] double 1 run data get entity @e[type=arrow,tag=harmingInPot,limit=1] xTile
execute store result entity @e[type=armor_stand,tag=harmingArrow,limit=1] Pos[1] double 1 run data get entity @e[type=arrow,tag=harmingInPot,limit=1] yTile
execute store result entity @e[type=armor_stand,tag=harmingArrow,limit=1] Pos[2] double 1 run data get entity @e[type=arrow,tag=harmingInPot,limit=1] zTile
execute at @e[type=armor_stand,tag=harmingArrow] run fill ~-1 ~-1 ~-1 ~1 ~1 ~1 air replace minecraft:flower_pot
kill @e[type=armor_stand,tag=harmingArrow]
kill @e[type=arrow,tag=harmingInPot]

clear @a[scores={potDestroying=1..}] minecraft:gunpowder 1
scoreboard players remove @a[scores={potDestroying=1..}] potDestroying 1
scoreboard players reset @a[scores={potDestroying=..0}] potDestroying

execute if score Blue_Team: score >= GoalsToWin Options run function fpb:game_end
execute if score Green_Team: score >= GoalsToWin Options run function fpb:game_end
execute if score Red_Team: score >= GoalsToWin Options run function fpb:game_end
execute if score Yellow_Team: score >= GoalsToWin Options run function fpb:game_end

scoreboard players set PlayersAmount Options 0
execute store result score PlayersAmountRed Options if entity @a[team=red]
execute store result score PlayersAmountBlue Options if entity @a[team=blue]
execute store result score PlayersAmountGreen Options if entity @a[team=green]
execute store result score PlayersAmountYellow Options if entity @a[team=yellow]
scoreboard players operation PlayersAmount Options += PlayersAmountRed Options
scoreboard players operation PlayersAmount Options += PlayersAmountBlue Options
scoreboard players operation PlayersAmount Options += PlayersAmountGreen Options
scoreboard players operation PlayersAmount Options += PlayersAmountYellow Options
execute if score PlayersAmountRed Options = PlayersAmount Options run title @a title {"text":"Not enough players!","color":"red"}
execute if score PlayersAmountBlue Options = PlayersAmount Options run title @a title {"text":"Not enough players!","color":"red"}
execute if score PlayersAmountGreen Options = PlayersAmount Options run title @a title {"text":"Not enough players!","color":"red"}
execute if score PlayersAmountYellow Options = PlayersAmount Options run title @a title {"text":"Not enough players!","color":"red"}
execute if score PlayersAmountRed Options = PlayersAmount Options run function fpb:game_end
execute if score PlayersAmountBlue Options = PlayersAmount Options run function fpb:game_end
execute if score PlayersAmountGreen Options = PlayersAmount Options run function fpb:game_end
execute if score PlayersAmountYellow Options = PlayersAmount Options run function fpb:game_end
execute if score PlayersAmount Options matches ..1 run title @a title {"text":"Not enough players!","color":"red"}

replaceitem entity @a[team=blue,nbt=!{ArmorItems:[{id:"minecraft:blue_orchid"},{},{},{}]}] armor.head minecraft:blue_orchid{Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1}
replaceitem entity @a[team=blue,nbt=!{ArmorItems:[{},{id:"minecraft:leather_chestplate"},{},{}]}] armor.chest minecraft:leather_chestplate{Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1,display:{color:47103}}
replaceitem entity @a[team=blue,nbt=!{ArmorItems:[{},{},{id:"minecraft:leather_leggings"},{}]}] armor.legs minecraft:leather_leggings{Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1,display:{color:47103}}
replaceitem entity @a[team=blue,nbt=!{ArmorItems:[{},{},{},{id:"minecraft:leather_boots"}]}] armor.feet minecraft:leather_boots{Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1,display:{color:47103}}

replaceitem entity @a[team=red,nbt=!{ArmorItems:[{id:"minecraft:rose_bush"},{},{},{}]}] armor.head minecraft:rose_bush{Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1}
replaceitem entity @a[team=red,nbt=!{ArmorItems:[{},{id:"minecraft:leather_chestplate"},{},{}]}] armor.chest minecraft:leather_chestplate{Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1,display:{color:16722688}}
replaceitem entity @a[team=red,nbt=!{ArmorItems:[{},{},{id:"minecraft:leather_leggings"},{}]}] armor.legs minecraft:leather_leggings{Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1,display:{color:16722688}}
replaceitem entity @a[team=red,nbt=!{ArmorItems:[{},{},{},{id:"minecraft:leather_boots"}]}] armor.feet minecraft:leather_boots{Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1,display:{color:16722688}}

replaceitem entity @a[team=green,nbt=!{ArmorItems:[{id:"minecraft:large_fern"},{},{},{}]}] armor.head minecraft:large_fern{Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1}
replaceitem entity @a[team=green,nbt=!{ArmorItems:[{},{id:"minecraft:leather_chestplate"},{},{}]}] armor.chest minecraft:leather_chestplate{Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1,display:{color:2159104}}
replaceitem entity @a[team=green,nbt=!{ArmorItems:[{},{},{id:"minecraft:leather_leggings"},{}]}] armor.legs minecraft:leather_leggings{Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1,display:{color:2159104}}
replaceitem entity @a[team=green,nbt=!{ArmorItems:[{},{},{},{id:"minecraft:leather_boots"}]}] armor.feet minecraft:leather_boots{Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1,display:{color:2159104}}

replaceitem entity @a[team=yellow,nbt=!{ArmorItems:[{id:"minecraft:horn_coral"},{},{},{}]}] armor.head minecraft:horn_coral{Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1}
replaceitem entity @a[team=yellow,nbt=!{ArmorItems:[{},{id:"minecraft:leather_chestplate"},{},{}]}] armor.chest minecraft:leather_chestplate{Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1,display:{color:16514816}}
replaceitem entity @a[team=yellow,nbt=!{ArmorItems:[{},{},{id:"minecraft:leather_leggings"},{}]}] armor.legs minecraft:leather_leggings{Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1,display:{color:16514816}}
replaceitem entity @a[team=yellow,nbt=!{ArmorItems:[{},{},{},{id:"minecraft:leather_boots"}]}] armor.feet minecraft:leather_boots{Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:1,display:{color:16514816}}

















